Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinModelLink Class Reference

This is for various structures/classes needed by CoinModel. More...

`#include <CoinModelUseful.hpp>`

## Public Member Functions
Constructors, destructor
| CoinModelLink ()
| Default constructor. More...
| ~CoinModelLink ()
| Destructor. More...
Copy method
| CoinModelLink (const CoinModelLink &)
| The copy constructor. More...
CoinModelLink & | operator= (const CoinModelLink &)
| = More...
Sets and gets method
int | row () const
| Get row. More...
int | column () const
| Get column. More...
double | value () const
| Get value. More...
double | element () const
| Get value. More...
CoinBigIndex | position () const
| Get position. More...
bool | onRow () const
| Get onRow. More...
void | setRow (int row)
| Set row. More...
void | setColumn (int column)
| Set column. More...
void | setValue (double value)
| Set value. More...
void | setElement (double value)
| Set value. More...
void | setPosition (CoinBigIndex position)
| Set position. More...
void | setOnRow (bool onRow)
| Set onRow. More...

## Private Attributes
Data members
int | row_
| Row. More...
int | column_
| Column. More...
double | value_
| Value as double. More...
CoinBigIndex | position_
| Position in data. More...
bool | onRow_
| If on row chain. More...

## Detailed Description

This is for various structures/classes needed by CoinModel.

CoinModelLink CoinModelLinkedList CoinModelHashfor going through row or column

Definition at line 29 of file CoinModelUseful.hpp.

## Constructor & Destructor Documentation

CoinModelLink::CoinModelLink | ( |  | ) |

Default constructor.

CoinModelLink::~CoinModelLink | ( |  | ) |

Destructor.

CoinModelLink::CoinModelLink | ( | const CoinModelLink & |  | ) |

The copy constructor.

## Member Function Documentation

CoinModelLink& CoinModelLink::operator= | ( | const CoinModelLink & |  | ) |

=

int CoinModelLink::row | ( |  | ) | const
| inline

Get row.

Definition at line 51 of file CoinModelUseful.hpp.

int CoinModelLink::column | ( |  | ) | const
| inline

Get column.

Definition at line 56 of file CoinModelUseful.hpp.

double CoinModelLink::value | ( |  | ) | const
| inline

Get value.

Definition at line 61 of file CoinModelUseful.hpp.

double CoinModelLink::element | ( |  | ) | const
| inline

Get value.

Definition at line 66 of file CoinModelUseful.hpp.

CoinBigIndex CoinModelLink::position | ( |  | ) | const
| inline

Get position.

Definition at line 71 of file CoinModelUseful.hpp.

bool CoinModelLink::onRow | ( |  | ) | const
| inline

Get onRow.

Definition at line 76 of file CoinModelUseful.hpp.

void CoinModelLink::setRow | ( | int | row | ) |
| inline

Set row.

Definition at line 81 of file CoinModelUseful.hpp.

void CoinModelLink::setColumn | ( | int | column | ) |
| inline

Set column.

Definition at line 86 of file CoinModelUseful.hpp.

void CoinModelLink::setValue | ( | double | value | ) |
| inline

Set value.

Definition at line 91 of file CoinModelUseful.hpp.

void CoinModelLink::setElement | ( | double | value | ) |
| inline

Set value.

Definition at line 96 of file CoinModelUseful.hpp.

void CoinModelLink::setPosition | ( | CoinBigIndex | position | ) |
| inline

Set position.

Definition at line 101 of file CoinModelUseful.hpp.

void CoinModelLink::setOnRow | ( | bool | onRow | ) |
| inline

Set onRow.

Definition at line 106 of file CoinModelUseful.hpp.

## Member Data Documentation

int CoinModelLink::row_
| private

Row.

Definition at line 116 of file CoinModelUseful.hpp.

int CoinModelLink::column_
| private

Column.

Definition at line 118 of file CoinModelUseful.hpp.

double CoinModelLink::value_
| private

Value as double.

Definition at line 120 of file CoinModelUseful.hpp.

CoinBigIndex CoinModelLink::position_
| private

Position in data.

Definition at line 122 of file CoinModelUseful.hpp.

bool CoinModelLink::onRow_
| private

If on row chain.

Definition at line 124 of file CoinModelUseful.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinModelUseful.hpp